GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtMmapMethod Class Reference
GTPin: Host-to-Device Memory Mapper

Method of the host-to-device memory mapping and sharing. More...

`#include <igt_memory_mapper.h>`

## Public Member Functions
constexpr | GtMmapMethod (GT_MMAP_METHOD v=GT_MMAP_INVALID)
| Conversion constructor.
constexpr | operator GT_MMAP_METHOD () const
| Conversion operator.
constexpr bool | IsValid () const
| Return true for a valid mapping method.
constexpr bool | IsShare () const
| Return true for 'in&out' object sharing.
constexpr bool | IsShareConst () const
| Return true for 'input' object sharing.
constexpr bool | IsShareRet () const
| Return true for 'output' object sharing.
const char * | ToString () const
| Return string representation.

## Detailed Description

Method of the host-to-device memory mapping and sharing.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT